## com.baidubce.services.bos.model
Class GenericBucketRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest

Direct Known Subclasses:
  CreateBucketRequest, DeleteBucketRequest, DoesBucketExistRequest, GenericObjectRequest, GetBucketAclRequest, GetBucketLocationRequest, ListMultipartUploadsRequest, ListObjectsRequest, SetBucketAclRequest

    public abstract class GenericBucketRequest

extends AbstractBceRequest

Constructor Summary
`GenericBucketRequest()`
`GenericBucketRequest(String bucketName)`

Method Summary
`String` `getBucketName()`
`void` `setBucketName(String bucketName)`
`abstract GenericBucketRequest` `withBucketName(String bucketName)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials, withRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericBucketRequest

    public GenericBucketRequest()

### GenericBucketRequest

    public GenericBucketRequest(String bucketName)

Method Detail

### getBucketName

    public String getBucketName()

### setBucketName

    public void setBucketName(String bucketName)

### withBucketName

    public abstract GenericBucketRequest withBucketName(String bucketName)

Copyright © 2016. All rights reserved.